
$(function() {
    $.extend(Base, {
        Redirect: {

            go: function (url) {
                window.setTimeout(function () {
                      Base.Loading.hide();
                       location.href = url;
                }, 350);
            },


            _qxRedirect: function (box) {

                return {

                    ver: function () {

                        console.log("Base.Redirect 1.0");
                        console.log("Requiere: Base 1.0");
                    }
                }
            }
        }
    });

    $.fn.QxLoading = function () {

        var loading = this;

        return Base.Box._qxLoading(loading);
    }
    
}); 